From 2821ae8a5ca2825edb73ba0d94952b4a6d00fc9e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Alu=C3=ADsio=20Augusto=20Silva=20Gon=C3=A7alves?=
 <aluisio@aasg.name>
Date: Thu, 30 May 2019 08:27:46 -0300
Subject: [PATCH] python-markdown2: update to 2.3.8.

---
 .../disable-building-wheel-by-default.patch      | 10 ----------
 srcpkgs/python-markdown2/template                | 16 ++++++++++++++--
 2 files changed, 14 insertions(+), 12 deletions(-)
 delete mode 100644 srcpkgs/python-markdown2/patches/disable-building-wheel-by-default.patch

diff --git a/srcpkgs/python-markdown2/patches/disable-building-wheel-by-default.patch b/srcpkgs/python-markdown2/patches/disable-building-wheel-by-default.patch
deleted file mode 100644
index 3e9c800cdde..00000000000
--- a/srcpkgs/python-markdown2/patches/disable-building-wheel-by-default.patch
+++ /dev/null
@@ -1,10 +0,0 @@
-diff --git setup.cfg setup.cfg
-index 4fe3b74..139986d 100644
---- setup.cfg
-+++ setup.cfg
-@@ -1,5 +1,4 @@
- [aliases]
--build=sdist bdist_wheel
- 
- [wheel]
- universal = 1
diff --git a/srcpkgs/python-markdown2/template b/srcpkgs/python-markdown2/template
index 6b13537efd4..2d352ba029d 100644
--- a/srcpkgs/python-markdown2/template
+++ b/srcpkgs/python-markdown2/template
@@ -1,6 +1,6 @@
 # Template file for 'python-markdown2'
 pkgname=python-markdown2
-version=2.3.7
+version=2.3.8
 revision=1
 archs=noarch
 build_style=python-module
@@ -11,7 +11,19 @@ maintainer="Aluísio Augusto Silva Gonçalves <aluisio@aasg.name>"
 license="MIT"
 homepage="https://github.com/trentm/python-markdown2"
 distfiles="https://github.com/trentm/python-markdown2/archive/${version}.tar.gz"
-checksum=@4576ebde09526f20c873a73775192851b7e9ed5f521fac34303ed0a8b8eda1ed
+checksum=@f2439906b925fb3991b8e4c01909bd2e6cb3aa75ce64a053b5495f9c72726f77
+
+do_check() {
+	PY2PATH="${PWD}/build-2.7/lib"
+	PY3PATH="${PWD}/build-${py3_ver}/lib"
+
+	cd test
+	# On python2 markdown2/phpmarkdown/email_auto_links is broken;
+	# cf. https://github.com/trentm/python-markdown2/issues/5
+	#PYTHONPATH="${PY2PATH}" python2 test.py -- -knownfailure
+	PYTHONPATH="${PY3PATH}" python3 test.py -- -knownfailure
+}
+
 
 post_install() {
 	vlicense LICENSE.txt
